camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Stephan Siano (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (CAMEL-4685) Camel blueprint does not work with Aries blueprint 0.4
Date Tue, 07 May 2013 10:59:15 GMT

     [ https://issues.apache.org/jira/browse/CAMEL-4685?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Stephan Siano closed CAMEL-4685.
--------------------------------

    Resolution: Not A Problem

More current versions (2.11) do work with aries blueprint 1.0.
                
> Camel blueprint does not work with Aries blueprint 0.4
> ------------------------------------------------------
>
>                 Key: CAMEL-4685
>                 URL: https://issues.apache.org/jira/browse/CAMEL-4685
>             Project: Camel
>          Issue Type: Improvement
>          Components: camel-blueprint
>    Affects Versions: 2.8.2, 2.9.0
>            Reporter: Stephan Siano
>
> Camel blueprint does only work in conjunction with Aries blueprint 0.3, it fails with
the current release 0.4.
> The issue is somewhat related to CAMEL-4543 (completely removing the hard dependency
to aries blueprint would of course also fix the dependency to a specific aries blueprint version).
> The reason behind that version dependency is that the ExtendedBlueprintContainer inteface
was moved from org.apache.aries.blueprint to org.apache.aries.blueprint.services between versions
0.3 and 0.4. The interface is referenced from the CamelContextFactoryBean and CamelProxyFactoryBean.
I am not completely sure, but I guess that the lookup of the blueprint bundle context could
also be performed in some other way.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message